CALIBREDB(1)

NAME
calibredb - calibredb

calibredb komut [seçenekler] [değişkenler]

calibredb calibre veritabanına giden komut satırı arayüzüdür. Aşağıda belgelenen birkaç alt komutu vardır. calibredb, yola göre belirtilen calibre veritabanını

veya yerel makinede veya internet üzerinden. Bir calibre İçerik sunucusu`nu :command:`calibre-server programını kullanarak veya ana calibre programında Bağlan/paylaş  → İçerik sunucusunu Başlat seçeneğine tıklayarak başlatabilirsiniz. calibredb calibre kitaplıklarınızda değişiklik yapabildiğinden, önce sunucuda kimlik doğrulamayı ayarlamanız gerekir. Bunu yapmanın

iki yolu vardır:

•   Yalnızca aynı bilgisayarda çalışan bir sunucuya bağlanmayı planlıyorsan

    calibredb dahil olmak üzere yerel bilgisayarda çalışan herhangi bir programın calibre verilerinizde değişiklik yapmasına izin vermek için içerik sunucusunun --enable-local-write'' seçeneğini kullanabilirsin. Sunucuyu ana calibre programından çalıştırırken, bu seçenek şu şekildedir:guilabel:`Tercihler->Ağ üzerinden paylaşım->Gelişmiş`. * İnternet üzerinden erişimi etkinleştirmek istiyorsanız, kurulum yapmalısınız sunucudaki kullanıcı hesaplarını kullanın ve erişim vermek için :option:`--username` ve :option:`--password` seçeneklerini :command:`calibredb` için kullanın. Kullanıcı hesaplarını oluşturmak için ``--enable-auth` seçeneğini kullanarak ve --manage-users seçeneğini kullanarak calibre-server için kullanıcı kimlik doğrulamasını ayarlayabilirsiniz. sunucuyu ana calibre programından çalıştırırken, Tercihler → Ağ üzerinden paylaşım → Kullanıcı adı/şifre iste seçeneğini kullanın.

    Çalışan bir İçerik sunucusuna bağlanmak için sunucunun URL'sini şuraya iletin: option:--with-library seçeneği, ayrıntılar ve örnekler için o seçeneğin belgelerine bakın.

•   GENEL SEÇENEKLER

•   list

•   add

•   KLASÖRLERDEN EKLE

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB SEÇENEKLER

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

•   fts_index

•   fts_search

GENEL SEÇENEKLER

--help, -h
    bu yardım iletisini göster ve çık

--library-path, --with-library
    Calibre kitaplığının yolu. Varsayılan, ayarlarda saklanan yolu kullanmaktır. Uzak kitaplıklarda eylemler gerçekleştirmek için bir calibre İçerik sunucusuna da bağlanabilirsiniz. Bunu yapmak için şu biçimde bir URL kullanın: http://sunucuadı:port/#kitaplık_no örneğin, http://localhost:8080/#mylibrary.kitaplık_no, İçerik sunucusunda bağlanmak istediğiniz kitaplığın kitaplık kimliğidir. Sunucuda bulunan kitaplık kimliklerinin bir listesini almak için -'nin özel kimlik numarası değerini kullanabilirsiniz. Bir İçerik sunucusu üzerinden erişimin nasıl kurulacağıyla ilgili ayrıntılar için bakınız https://manual.calibre-ebook.com/tr/generated/tr/calibredb.html.

--password
    Calibre İçerik sunucusuna bağlanmak için parola. Parolayı standart girdiden okumak için özel değeri kullanın: <stdin>. Parolayı bir dosyadan okumak için şunu kullanın: <f:/path/to/file> (ör. <f: ardından dosyanın tam yolu ve sonunda >). Yukarıdaki köşeli parantezler gereklidir, bunlardan kaçmayı unutmayın veya kabuğunuz için tırnak işaretleri kullanın.

--timeout
    Ağ üzerinden bir calibre kitaplığına bağlanırken saniye cinsinden zaman aşımı. Varsayılan iki dakikadır.

--username
    Calibre içerik sunucusuna bağlanmak için kullanıcı adı

--version
    programın sürüm numarasını göster ve çık

LIST

calibredb list [seçenekler]

Calibre veritabanındaki kullanılabilir kitapları listele.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ascending
    Sonuçları artan şekilde sırala

--fields, -f
    Veritabanındaki kitaplar listelenirken görüntülenecek alanlar. Alanların virgülle ayrılmış bir listesi olmalıdır. Erişilebilir alanlar: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Öntanımlı: title,authors. "Tümü" özel alanı tüm alanları seçmek için kullanılabilir. Yukarıdaki tümleşik alanlara ek olarak, *alan_adı şeklinde kişisel alanlara da erişilebilir. Mesela, #onaylama kişisel alanı için şu ismi kullanın: *onaylama

--for-machine
    Makine ayrıştırması için daha uygun olan JSON biçiminde çıktı üret. Satır genişliği ve ayraç seçeneklerinin yok sayılmasına neden olur.

--limit
    Gösterilecek en fazla sonuç sayısı. Varsayılan: tümü

--line-width, -w
    Girdideki bir satırın en fazla genişliği. Varsayılanı ekranın boyutunu algılamaktır.

--prefix
    Tüm dosya yolları için önek. Varsayılan kitaplık dizininin mutlak yoludur.

--search, -s
    Sonuçları arama sorgusuna göre süzün. Arama sorgusunun biçimi için lütfen Kullanıcı Kılavuzundaki ilgili belgelendirmeye bakın. Varsayılan olarak süzme işlemi yapılmaz.

--separator
    Alanları ayırmak için kullanılan karakter dizisi. Varsayılan olarak boşluk karakteridir.

--sort-by
    Sonuçları sıralamak için kullanılacak alan Birden fazla alanı virgülle ayırarak belirtebilirsiniz. Kullanılabilir alanlar: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Varsayılan: id

--template
    Alan listesinde "template" varsa çalıştırılacak şablon. Varsayılan: Yok

--template_file, -t
    Alan listesinde "template" varsa çalıştırılacak şablonu içeren dosyanın yolu. Varsayılan: Yok

--template_heading
    Şablon sütununu için başlık. Varsayılan: template. --for-machine seçeneği ayarlanmışsa bu seçenek göz ardı edilir

ADD

%p rog add [seçenekler] dosya1 dosya2 dosya3 ... Belirtilen dosyaları veritabanına kitap olarak ekleyin. Ayrıca klasörleri de belirtebilirsiniz, klasörlerle ilgili aşağıdaki seçeneklere bakınız.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--authors, -a
    Eklenen kitap(lar)ın yazarlarını ayarla

--automerge, -m
    Benzer başlıklara ve yazarlara sahip kitaplar bulunursa, gelen formatları (dosyaları) otomatik olarak mevcut kitap kayıtlarıyla birleştirin. "ignore" değeri, yinelenen biçimlerin atıldığı anlamına gelir. "overwrite" değeri, yeni eklenen dosyalarla kitaplıktaki yinelenen biçimlerin üzerine yazılacağı anlamına gelir. "new_record" değeri, yinelenen biçimlerin yeni bir kitap kaydına yerleştirildiği anlamına gelir.

--cover, -c
    Eklenen kitap için kullanılacak kapağın yolu

--duplicates, -d
    Zaten var olsalar bile veritabanına kitap ekleyin. Karşılaştırma kitap adları ve yazarlara göre yapılmıştır. --automerge seçeneğinin öncelikli olduğunu unutmayın.

--empty, -e
    Boş bir kitap ekle (biçimi olmayan bir kitap)

--identifier, -I
    Bu kitap için tanımlayıcılar ekleyin, e.g. -I asin:XXX -I isbn:YYY

--isbn, -i
    Eklenen kitap(lar)ın ISBN'lerini ayarla

--languages, -l
    Virgülle ayrılmış dillerin listesi (bazı dil isimleri anlaşılamayacağı için en iyisi ISO639 dil kodlarını kullanmak olacaktır)

--series, -s
    Eklenen kitap(lar)ın serilerini ayarla

--series-index, -S
    Eklenen kitap(lar)ın seri numaralarını ayarla

--tags, -T
    Eklenen kitap(lar)ın etiketlerini ayarla

--title, -t
    Eklenen kitapların adlarını ayarla

  KLASÖRLERDEN EKLE

Klasörlerden kitap eklemeyi kontrol etme seçenekleri. Varsayılan olarak yalnızca bilinen e-kitap dosya türlerinin uzantılarına sahip dosyalar eklenir.

--add
    Bilinen bir e-kitap dosyası türünde olmasalar bile, dosyalar için klasörler taranırken bir dosya adı (glob) kalıbı, bu kalıpla eşleşen dosyalar eklenecektir. Birden çok desen için birden çok kez belirtilebilir.

--ignore
    Bir dosya adı (glob) kalıbı, dosyalar için klasörler taranırken bu kalıpla eşleşen dosyalar yok sayılır. Birden çok desen için birden çok kez belirtilebilir. Örneğin: *.pdf, tüm PDF dosyalarını yoksayar

--one-book-per-directory, -1
    Her klasörün yalnızca tek bir mantıksal kitabı olduğunu ve o klasör içindeki tüm dosyaların o kitabın farklı e-kitap biçimleri olduğunu varsay

--recurse, -r
    Klasörleri, alt klasörleri ile birlikte işle

REMOVE

calibredb kimlikleri kaldır

Kimlikleri ile belirtilen kitapları veri tabanından sil. Kimlikler, kimlik numaralarının virgülle ayrılmış listesi olmalıdır (arama komutuyla kimlik numaralarını alabilirsiniz). Örneğin, 23,34,57-85 (aralık belirtirken, aralıkta son numara dahil edilmez).

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--permanent
    Geri Dönüşüm Kutusu kullanmayın

ADD_FORMAT

calibredb add_format [seçenekler] id e-kitap_file

e-kitap_file'ndaki e-kitabı kimliği ile tanımlanan mantıksal kitap için kullanılabilir biçime ekle. Arama komutunu kullanarak kimlik alabilirsiniz. Biçim zaten mevcutsa, yer değiştirme seçeneği belirtilmediği takdirde yer değiştirilir.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--as-extra-data-file
    Dosyayı ekstra bir veri dosyası olarak kitaba ekle, bir ekitap formatı değildir

--dont-replace
    Mevcut biçimi değiştirmeyin

REMOVE_FORMAT

calibredb remove_format [seçenekler] id fmt

id ile tanımlanan mantıksal kitaptan fmt biçimini kaldır. Arama komutunu kullanarak id numarasını alabilirsiniz. fmt LRF veya TXT veya EPUB gibi bir dosya uzantısı olmalıdır. Mantıksal kitabın kullanılabilir fmt'si yoksa, hiçbir şey yapma.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [seçenekler] id

id ile tanımlanan kitap için Calibre veri tabanında kayıtlı metadata'yı göster. id, arama komutuyla gelen id numarasıdır.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--as-opf
    Üstbilgiyi OPF formunda yazdır (XML)

SET_METADATA

calibredb set_metadata [seçenekler] kitap_kimlik_no [/yol/üstveri.opf]

OPF dosyası üstveri.opf'tan kitap_kimlik_no tarafından tanımlanan kitap için calibre veritabanında saklanan üstverileri ayarlayın. kitap_kimlik_no, search komutundan bir kitap kimlik numarasıdır. show_metadata komutunda --as-opf parametresini kullanarak OPF formatı hakkında hızlı bir fikir edinebilirsiniz. Ayrıca --field seçeneğiyle bireysel alanların üstverilerini de ayarlayabilirsiniz. --field seçeneğini kullanırsanız, bir OPF dosyası belirtmenize gerek yoktur.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--field, -f
    Ayarlanacak alan. Biçimi alan_ismi:değer şeklindedir, örneğin: --field etiketler:etiket1,etiket2. Tüm alan isimlerinin listesini almak için --list-fields kullanın. Birden çok alan ayarlamak için bu seçeneği birden fazla kere kullanabilirsiniz. Not: Diller için ISO639 dil kodlarını kullanmalısınız (örn. İngilizce için en, Fransızca için fr ve benzeri). Tanımlayıcılar için, söz dizimi --field identifiers:isbn:XXXX,doi:YYYYY şeklindedir. Bool (evet/hayır) değerler için true ve false veya yes veya no kullanın.

--list-fields, -l
    --field seçeneğiyle kullanılabilecek metadata alan isimlerini listeleyin

EXPORT

calibredb export [seçenekler] kimlik numaraları

Kimlik numaraları ile belirtilen kitapları (virgülle ayrılmış bir liste) dosya sistemine aktarın. Dışa aktarma işlemi kitabın tüm formatlarını, kapağını ve meta verilerini (bir OPF dosyasında) kaydeder. Kitapla ilişkili tüm ekstra veri dosyaları da kaydedilir. Kimlik numaralarını arama komutundan alabilirsiniz.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Kimlik listesine bakmadan tüm kitapları dışa aktar.

--dont-asciiize
    Have calibre convert all non English characters into English equivalents for the file names. This is useful if saving to a legacy filesystem without full support for Unicode filenames. Bu anahtar bu davranışı kapatacaktır.

--dont-save-cover
    Normally, calibre will save the cover in a separate file along with the actual e-book files. Bu anahtar bu davranışı kapatacaktır.

--dont-save-extra-files
    Save any data files associated with the book when saving the book Bu anahtar bu davranışı kapatacaktır.

--dont-update-metadata
    Normal olarak Calibre üst veriyi Calibre kitaplığındaki kaydedilmiş dosyalardan günceller. Diske kaydetmeyi yavaşlatır. Bu anahtar bu davranışı kapatacaktır.

--dont-write-opf
    Normal olarak Calibre üst veriyi gerçek e-kitap dosyalarının yanına ayrı bir OPF dosyasına yazar. Bu anahtar bu davranışı kapatacaktır.

--formats
    Kitapların kaydedileceği biçimlerin virgülle ayrılmış listesi. Varsayılan olarak tüm biçimlerde kaydedilir.

--progress
    Rapor durumu

--replace-whitespace
    Boşlukları alt çizgi ile değiştir.

--single-dir
    Tüm kitapları tek bir klasöre aktarın

--template
    The template to control the filename and folder structure of the saved files. Default is "{author_sort}/{title}/{title} - {authors}" which will save books into a per-author subfolder with filenames containing title and author. Available controls are: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Tarihlerin görüntüleneceği biçim. %d - gün, %b - ay, %m - ay numarası, %Y - yıl. Varsayılan: %b, %Y

--to-dir
    Kitapları belirtilen dizine aktarın. Varsayılan .

--to-lowercase
    Yolları küçük harflere dönüştür.

CATALOG

calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options. To see the different options, specify the name of the output file and then the --help option.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ids, -i
    Kataloglanacak veritabanı kimliklerinin virgülle ayrılmış listesi. Kullanılırsa, --search yok sayılır. Varsayılan: all

--search, -s
    Sonuçları arama sorgusuna göre sırala. Arama sorgusu biçimi için, lütfen Kullanıcı Kılavuzundaki aramayla ilgili belgeye bakın. Varsayılan: filtre yok

--verbose, -v
    Ayrıntılı çıktı bilgisi göster. Hata ayıklamada faydalıdır

  EPUB SEÇENEKLER

--catalog-title
    Title of generated catalog used as title in metadata. Default: 'My Books' Applies to: AZW3, EPUB, MOBI output formats

--cross-reference-authors
    Create cross-references in Authors section for books with multiple authors. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--debug-pipeline
    Save the output from different stages of the conversion pipeline to the specified folder. Useful if you are unsure at which stage of the conversion process a bug is occurring. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--exclude-genre
    Regex describing tags to exclude as genres. Default: '[.+]|^+$' excludes bracketed tags, e.g. '[Project Gutenberg]', and '+', the default tag for read books. Applies to: AZW3, EPUB, MOBI output formats

--exclusion-rules
    Specifies the rules used to exclude books from the generated catalog. The model for an exclusion rule is either ('<rule name>','Tags','<comma-separated list of tags>') or ('<rule name>','<custom column>','<pattern>'). For example: (('Archived books','#status','Archived'),) will exclude a book with a value of 'Archived' in the custom column 'status'. When multiple rules are defined, all rules will be applied. Default: "(('Catalogs','Tags','Catalog'),)" Applies to: AZW3, EPUB, MOBI output formats

--generate-authors
    Include 'Authors' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-descriptions
    Include 'Descriptions' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-genres
    Include 'Genres' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-recently-added
    Include 'Recently Added' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-series
    Include 'Series' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-titles
    Include 'Titles' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--genre-source-field
    Source field for 'Genres' section. Default: 'Etiketler' Applies to: AZW3, EPUB, MOBI output formats

--header-note-source-field
    Custom field containing note text to insert in Description header. Default: '' Applies to: AZW3, EPUB, MOBI output formats

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] specifying: <custom field> Custom field containing notes to merge with comments [before|after] Placement of notes with respect to comments [True|False] - A horizontal rule is inserted between notes and comments Default: '::' Applies to: AZW3, EPUB, MOBI output formats

--output-profile
    Specifies the output profile. In some cases, an output profile is required to optimize the catalog for the device. For example, 'kindle' or 'kindle_dx' creates a structured Table of Contents with Sections and Articles. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--prefix-rules
    Specifies the rules used to include prefixes indicating read books, wishlist items and other user-specified prefixes. The model for a prefix rule is ('<rule name>','<source field>','<pattern>','<prefix>'). When multiple rules are defined, the first matching rule will be used. Default: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Applies to: AZW3, EPUB, MOBI output formats

--preset
    Use a named preset created with the GUI catalog builder. A preset specifies all settings for building a catalog. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--thumb-width
    Size hint (in inches) for book covers in catalog. Range: 1.0 - 2.0 Default: '1.0' Applies to: AZW3, EPUB, MOBI output formats

--use-existing-cover
    Replace existing cover when generating the catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

SAVED_SEARCHES

calibredb saved_searches [seçenekler] (list|add|remove)

Bu veritabanında saklanan kayıtlı aramaları yönetin. Zaten var olan bir ada sahip bir sorgu eklemeye çalışırsanız, bu sorgu değiştirilecektir.

Ekleme için sözdizimi :calibredb saved_searches add search_name search_expression

Kaldırmak için sözdizimi: calibredb saved_searches remove search_name

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [seçenekler] etiket isim veritürü

Bir özel sütun oluştur. etiket sütunun makinenin anlayacağı ismidir. Boşluk veya sütun içermemelidir. name sütunun kullanıcı dostu ismidir. veritürü şunlardan biridir: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--display
    Bu sütundaki verinin nasıl yorumlanacağının özelleştirilmesi için seçenekler sözlüğü. Bu bir JSON karater dizisidir. Sıralama sütunları için, --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" kullanındisplay değişkenine verilebilecek bir çok seçenek vardır. Sütun türüne göre seçenekler: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decorations Uygun kombinasyonlar bulmanın en iyi yolu grafik arayüzden uygun türde bir özel sütun oluşturmak ardından kitap için OPF yedeğine bakmaktır (Sütun eklendikten sonra yeni bir OPF oluştuğundan emin olun). OPF'de yeni sütun için "display" JSON'unu göreceksiniz.

--is-multiple
    Bu sütun etiket benzeri verileri (virgülle ayrılmış değerleri) içerir. Sadece veri tipi metin olduğunda uygulanır.

CUSTOM_COLUMNS

calibredb özel_sütunlar [seçenekler]

Kullanılabilir özel sütunları listele. Sütun etiketlerini ve kimliklerini gösterir.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--details, -d
    Her sütun için ayrıntıları göster.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [seçenekler] etiket

Etiket tarafından belirlenmiş kişisel sütunu kaldır. Kullanılabilir sütunları custom_columns komutuyla görebilirsiniz.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--force, -f
    Onaylama sorma

SET_CUSTOM

calibredb set_custom [seçenekler] sütun kimlik değeri

Kimlik numarası tarafından tanımlanan kitap için özel bir sütunun değerini ayarlayın. search komutunu kullanarak kimliklerin bir listesini alabilirsiniz. Özel sütun adlarının bir listesiniise custom_columnskomutu ile alabilrsiniz.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--append, -a
    Sütun birden çok değer saklıyorsa, belirtilen değerleri üzerine yazmak yerine mevcut olanlara ekleyin.

RESTORE_DATABASE

calibredb restore_database [seçenekler]

Bu veritabanını calibre kitaplığının herklasöründeki OPF dosyalarında saklanan üstverilerden geri yükleyin. Bu, metadata.db dosyanız bozuksa kullanışlıdır.

UYARI: Bu komut, veritabanınızı tamamen yeniden oluşturur. Kaydedilmiş tüm aramaları, kullanıcı kategorilerini, santralleri, kitap başına kaydedilen dönüştürme ayarlarını ve özel tarifleri kaybedeceksiniz. Geri yüklenen üstveri, yalnızca OPF dosyalarında bulunanlar kadar doğru olacaktır.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--really-do-it, -r
    Kurtarmayı gerçekleştir. Komut bu seçeneği seçmediğinizde çalışmayacaktır.

CHECK_LIBRARY

calibredb check_library [seçenekler]

Bir kitaplığı temsil eden dosya sisteminde bazı kontroller gerçekleştirir. Raporlar: invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--csv, -c
    CSV biçiminde çıktı

--ignore_extensions, -e
    Yoksayılacak eklentilerin virgülle ayrılmış listesi. Varsayılan: tümü

--ignore_names, -n
    Yoksayılacak isimlerin virgülle ayrılmış listesi. Default: tümü

--report, -r
    Raporların virgülle ayrılmış listesi. Varsayılan: tümü

--vacuum-fts-db
    Tam metin arama veri tabanını boşaltın. Bu, veri tabanının boyutuna bağlı olarak çok yavaş ve bellek açısından yoğun olabilir.

LIST_CATEGORIES

calibredb list_categories [seçenekler]

Veritabanındaki kategori bilgilerinin bir raporunu oluşturur. Bilgi, etiket tarayıcısında gösterilene eşdeğerdir.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--categories, -r
    Virgülle ayrılmış aranacak kategori isimleri listesi. Öntanımlı: tümü

--csv, -c
    CSV biçiminde çıktı

--dialect
    Üretilecek CSV dosyası türü. Seçilebilecekler: excel, excel-tab, unix

--item_count, -i
    Kategori içindeki öğe başına sayı yerine kategori içindeki öğe sayısını çıktıla

--width, -w
    Girdideki bir satırın en fazla genişliği. Varsayılanı ekranın boyutunu algılamaktır.

BACKUP_METADATA

calibredb backup_metadata [seçenekler]

Veritabanında depolanan üstverileri her bir kitap klasöründeki ayrı OPF dosyalarına yedekleyin. Bu normalde otomatik olarak gerçekleşir, ancak --all seçeneğiyle OPF dosyalarının yeniden oluşturulmasını zorlamak için bukomutu çalıştırabilirsiniz.

Not: her üstveri değişikliğinde OPF dosyaları otomatik olarak yedeklendiğinden normalde bunu yapmanıza gerek yoktur

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Normal olarak bu komut sadece tarihi geçmiş OPF dosyaları içeren kitaplarda çalışır. Bu seçenek onu tüm kitaplarda çalıştırır.

CLONE

calibredb clone path/to/new/library

Geçerli kitaplığın bir kopyasını oluştur. Bu, geçerli kitaplıkla aynı özel sütunlara, Sanal kitaplıklara ve diğer ayarlara sahip yeni, boş bir kitaplık oluşturur.

Çoğaltılan kitaplık kitap içermez. Tüm kitaplar dahil tam bir kopya oluşturmak istiyorsanız, kitaplık klasörünü kopyalamak için dosya sistemi aracınızı kullanınız.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [seçenekler] kitap_kimliği

Calibre kitaplığında saklanan asıl kitap sayfalarını Calibre veri tabanındaki metadata ile güncelle. Normalde, metadata yalnızca Calibre'den dışa aktarım yapılırken güncellenir, bu komut dosyaları olduğu gibi değiştirmek istiyorsanız faydalıdır. Değişik dosya biçimlerinin değişik miktarda metadata desteklediğini unutmayın. kitap_kimliği için özel bir değer olan 'all' kullanarak tüm kitaplarda metadata güncelleyebilirsiniz. Ayrıca birden çok kitap kimliğini boşluklarla ayırarak ve kimlik aralıklarını tire ile ayırarak belirtebilirsiniz. Örneğin: calibredb embed_metadata 1 2 10-15 23

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--only-formats, -f
    Sadece belirtilen biçimlerdeki dosyaların üstbilgilerini güncelle. Birden çok biçim için birden çok defa tanımlama yapmanız gerekir. Varsayılan olarak tüm biçimler güncellenir.

SEARCH

calibredb search [seçenekler] arama ifadesi

Belirtilen arama terimini kitaplıkta arayın ve arama ifadesiyle eşleşen kitap kimlik numaralarının virgülle ayrılmışlistesini döndürün. Çıktı biçimibir kimlik numarası listesini girdi olarak kabul eden diğer komutları beslemek için kullanışlıdır.

Arama ifadesi calibre'nin güçlü arama sorgusudilindeki herhangi bir şey olabilir, örneğin: calibredb search author:asimov 'title:"i robot"'

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--limit, -l
    Azami döndürülecek sonuç sayısı. Varsayılan tüm sonuçlardır.

FTS_INDEX

calibredb fts_index [seçenekler] enable/disable/status/reindex

Tam metin arama indeksleme işlemini kontrol edin.

enable Bu kitaplık için FTS indekslemeyi açar disable Bu kitaplık için FTS dizini indekslemeyi kapatır status Geçerli dizin oluşturma durumunu gösterir reindex Belirli kitapları veya tüm kitaplığı yeniden dizinlemek için kullanılabilir. Belirli kitapları yeniden indekslemek için kitap kimliklerini reindex komutundan sonra ek argümanlar olarak belirtin. Hiçbir kitap kimliği belirtilmezse tüm kitaplık yeniden indekslenir.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--indexing-speed
    İndeksleme hızı. Tüm bilgisayar kaynaklarınızı kullanarak hızlı indeksleme için hızlı, daha az kaynak yoğun indeksleme için yavaş kullanın. Her çalıştırmadan sonra hızın yavaşlamak için sıfırlandığını unutmayın.

--wait-for-completion
    Tüm kitaplar indekslenene kadar bekleyin, indeksleme ilerlemesini periyodik olarak gösterin

FTS_SEARCH

calibredb fts_search [seçenekler] arama ifadesi

Kitaplığın tamamında veya bir alt kümesinde tam metin araması yapın.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--do-not-match-on-related-words
    İlgili kelimelerle değil, yalnızca tam kelimelerle eşleştirin. Yani düzeltmek, düzeltme ile eşleşmeyecektir.

--include-snippets
    Her eşleşmeyi çevreleyen metnin parçacıklarını ekleyin. Not bu aramayı çok daha yavaş hale getirir.

--indexing-threshold
    Aramaya izin verilmeden önce, yüzde olarak kitaplığın ne kadarının dizine eklenmesi gerektiği. Varsayılanlar 90'dır

--match-end-marker
    Bu işaretçi eşleşen bir parçacığın içindeki eşleşen bir kelimenin sonunu belirtmek için kullanılır

--match-start-marker
    Bu işaretçi bir parçacığın içindeki eşleşen bir kelimenin başlangıcını belirtmek için kullanılır

--output-format
    Arama sonuçlarının çıktı biçimi, düz metin için "text" veya JSON çıktısı için "json" şeklindedir.

--restrict-to
    Bir arama ifadesi veya kimlik numaraları kullanarak aranan kitapları kısıtlayın. Örneğin: kimlik numaralarına göre kısıtlamak için ids:1,2,3 veya foo etiketine sahip kitaplara göre kısıtlamak için search:tag:foo.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal